import { Test, TestingModule } from '@nestjs/testing';
import { getRepositoryToken } from '@nestjs/typeorm';
import { AlbumController } from './album.controller';
import { AlbumService } from './album.service';
import { Album } from './album.entity';

const mockAlbum = new Album();

describe('AlbumController', () => {
  let controller: AlbumController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [AlbumController],
      providers: [
        AlbumService,
        {
          provide: getRepositoryToken(Album),
          useValue: {
            findAll: jest.fn().mockResolvedValue([mockAlbum]),
            findOneById: jest.fn().mockResolvedValue(mockAlbum),
            create: jest.fn().mockResolvedValue(1),
            update: jest.fn().mockResolvedValue("Album updated successfully"),
            remove: jest.fn().mockResolvedValue(null),
          },
        },
      ]
    }).compile();

    controller = module.get<AlbumController>(AlbumController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
