import { Entity, Column, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { Song } from '../song/song.entity';

@Entity()
export class Album {
  @PrimaryGeneratedColumn()
  id: number

  @Column()
  title: string

  @Column()
  artist: string

  @Column()
  genre: string

  @OneToMany(() => Song, (song) => song.album, { eager: true, onDelete: 'CASCADE' })
  songs: Song[]
}
